---
title: MIDIConnectionEvent
slug: Web/API/MIDIConnectionEvent
tags:
  - API
  - Draft
  - Interface
  - MIDI
  - MIDIConnectionEvent
  - Reference
  - Web MIDI API
---
<p>{{APIRef("Web MIDI API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>MIDIConnectionEvent</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_MIDI_API">Web MIDI API</a> is the event passed to the {{domxref("MIDIAccess.onstatechange","onstatechange")}} event handler of the {{domxref("MIDIAccess")}} interface and the {{domxref("MIDIPorts.onstatechange","onstatechange")}} event of the {{domxref("MIDIPorts")}} interface. This occurs any time a new port becomes available, or when a previously available port becomes unavailable. For example, this event is fired whenever a MIDI device is either plugged in to or unplugged from a computer.  </p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("MIDIConnectionEvent.MIDIConnectionEvent")}}</dt>
 <dd>Creates a new <code>MIDIConnectionEvent</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MIDIConnectionEvent.port")}}</dt>
 <dd>Returns a reference to a {{domxref("MIDIPort")}} instance for a port that has been connected or disconnected."</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebMIDI API','#midiconnectionevent-interface')}}</td>
   <td>{{Spec2('WebMIDI API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MIDIConnectionEvent")}}</p>
</div>
